%global goipath         github.com/go-delve/delve
%global gobuild         go build -mod=vendor
%global debug_package   %{nil}

Name:           delve		
Version:        1.5.0
Release:        2
Summary:        A debugger for the Go programming language
License:        MIT
URL:            https://github.com/go-delve/delve
Source0:        https://github.com/go-delve/delve/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz

BuildRequires:	gcc glibc 
BuildRequires:  golang >= 1.11 
Requires:       glibc

Provides: %{name} = %{version}-%{release}

%description
delve is a debugger for the Go programming language

%package_help

%prep
%setup -q

%build
%gobuild -o _bin/dlv %{goipath}/cmd/dlv

%install
install -d %{buildroot}%{_bindir}
install -m 0755 _bin/dlv %{buildroot}%{_bindir}/dlv

%clean
rm -rf %{buildroot}

%files 
%{_bindir}/dlv
%license LICENSE
%doc CONTRIBUTING.md CHANGELOG.md README.md


%files help
%doc Documentation/*

%changelog
* Tue Oct 13 2020 Qingqing Li <liqingqing3@huawei.com> - 1.5.0-2
- update source0

* Mon Aug 17 2020 fcwicky <307610302@qq.com> - 1.5.0-1
- Udpate package to v1.5.0

* Fri Apr 10 2020 fcwicky <307610302@qq.com> - 1.4.0-1
- Package init
